set autoscale
set terminal postscript eps enhanced "Helvetica" 16 dashlength 1 color size 8. cm, 6. cm lw 1.5
set output "concrete_fcm_st_0.eps"
unset log
unset label
   unset title 
   set xtic auto
   set ytic auto
   set xlabel"strain [-]"
   set ylabel"stress [MPa]"
   set key font ",15" spacing 1.2
   set key top left
   set grid
#
#
#
ft = 2.0
gf = 100.e-6
E = 20000.
#
#
none(epsilon) = E * epsilon
#
#
#
f(x) = none(x)
#
#
plot [x= 0 to 3e-3] f(x) notitle with lines lt 1 lc 7 lw 3,\
'output.dat' using ($2):($3) notitle with points lc 8 pt 6 ps 0.3