set autoscale
set terminal postscript eps enhanced "Helvetica" 16 dashlength 1 color size 8. cm, 6. cm lw 1.5
set output "concrete_fcm_shear_none_dominant.eps"
unset log
unset label
   unset title 
   set xtic 1e-4
   set ytic 1.
   set xlabel"shear strain [-]"
   set ylabel"shear stress [MPa]"
   set key font ",15" spacing 1.2
   set key top left
   set grid
   set xr [0: 3e-4]		
   set yr [0: 3]	
#
#
elem = 0.1;
# w = eps * h;
#
ft = 2.0
gf = 100.e-6
E = 20000.
nu = 0.2
G = E/(2*(1+nu))
#
#
wf_lin = 2.*gf/ft
#
linear(w) = w>wf_lin ? 0 : ft - ft * w/wf_lin
#
# %%%%%%%%%%%%%%%%%%%%%%%%
#
f(x) = linear(x)
#
#
# SHEAR
# 
tau_elastic(x) = G * x;
#
#
plot [x= 0 to 3e-4] tau_elastic(x) notitle with lines lt 1 lc 7 lw 3,\
'output.dat' using ($6):($7) notitle with points lc 8 pt 6 ps 1.